Bug 474455 - (CVE-2008-5298) CVE-2008-5298 chm2pdf insecure temporary file use
CVE-2008-5298 chm2pdf insecure temporary file use
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Narasimhan
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20081201,reported=20081202,sou...
: Security
Depends On: 474459 665494
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 16:49 EST by Josh Bressers
Modified: 2016-03-04 06:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-07 12:05:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes the insecure temporary file issue (2.07 KB, patch)
2011-01-09 07:14 EST, Narasimhan
no flags Details | Diff

  None (edit)
Description Josh Bressers 2008-12-03 16:49:39 EST
chm2pdf 0.9 uses temporary files in directories with fixed names, which allows local users to cause a denial of service (chm2pdf failure) of other users by creating those directories ahead of time.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501959
Comment 2 Vincent Danen 2010-12-23 22:21:16 EST
Let's try this again.  chm2pdf in Fedora 14 is still vulnerable to this.  A patch was provided in the Debian bug:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501959#20

I can't think of a reason not to use it.
Comment 3 Vincent Danen 2010-12-23 22:23:54 EST
Created chm2pdf tracking bugs for this issue

Affects: fedora-all [bug 665494]
Comment 4 Narasimhan 2011-01-08 00:50:27 EST
I have been able to apply the patch supplied in the bug url given by Vincent. There are two patches present there , one for insecure_temp_dir and other for bashims. I have applied the first one.
Comment 5 Narasimhan 2011-01-09 07:14:32 EST
Created attachment 472423 [details]
Patch that fixes the insecure temporary file issue
Comment 7 Narasimhan 2011-01-15 02:21:35 EST
Vincent,
Could you provide a review of the patch provided (in the attachment)?

Thanks
Comment 8 Vincent Danen 2011-01-15 11:41:12 EST
(In reply to comment #7)
> Vincent,
> Could you provide a review of the patch provided (in the attachment)?

The patch in the attachment looked pretty odd, so I looked at the srpm and pulled the patch you had in there.  That one looks good (I've just looked, not tested).  I would go ahead and submit it.
Comment 9 Vincent Danen 2011-02-07 12:05:04 EST
This flaw was corrected in Fedora 14:

chm2pdf-0.9.1-9.fc14 (FEDORA-2011-0454)

and Fedora 13:

chm2pdf-0.9.1-8.fc13 (FEDORA-2011-0467)

Note You need to log in before you can comment on or make changes to this bug.